Passer au contenu principal

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery

Renvoie la liste des tâches de découverte d’URL initiées par l’utilisateur authentifié.

Paramètres de requête

status
string
Filtre par état : pending, processing, completed ou failed.
limit
number
défaut:"20"
Nombre de résultats par page (100 au maximum).

Réponse

jobs
array
Tableau d’objets tâche de découverte.
total
number
Nombre total de tâches de découverte.
curl -X GET https://api.llmgenerator.com/api/v1/discovery \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "jobs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "url": "https://example.com",
      "type": "full",
      "status": "completed",
      "urlsFound": 47,
      "createdAt": "2026-01-20T10:00:00.000Z"
    },
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "url": "https://another-example.com",
      "type": "sitemap",
      "status": "processing",
      "urlsFound": 12,
      "createdAt": "2026-01-21T11:00:00.000Z"
    }
  ],
  "total": 2
}